#include "common.h"
#include "projects.h"

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

//dirs
gchar *home;

//path to scanners
gchar libdir[] = PACKAGE_LIB_DIR "/" PACKAGE;


GtkWidget *mainapp;

GtkWidget *mvpaned;
GtkWidget *c_list, *o_list, *e_list;

//menu items
GtkWidget *saveproj_item, *saveasproj_item, *savefile_item, *saveasfile_item, *saveallfiles_item, *closefile_item;

GtkWidget *proj_item, *edit_item, *search_item;

//tool buttons
GtkWidget *saveproj_btn, *addf_btn, *remf_btn;

void init_interface(void)
{
	home = g_get_home_dir();

	mvpaned = lookup_widget(mainapp,"vpaned");

	c_list = lookup_widget(mainapp,"compile_clist");
	o_list = lookup_widget(mainapp,"stdout_clist");
	e_list = lookup_widget(mainapp,"stderr_clist");
	//menu items
	saveproj_item = lookup_widget(mainapp,"save_proj");
	saveasproj_item = lookup_widget(mainapp,"save_proj_as");
	savefile_item = lookup_widget(mainapp,"save_file");
	saveasfile_item = lookup_widget(mainapp,"save_file_as");
	saveallfiles_item = lookup_widget(mainapp,"save_all_files");
	closefile_item = lookup_widget(mainapp,"close_file");

	proj_item = lookup_widget(mainapp,"project");
	edit_item = lookup_widget(mainapp,"edit");
	search_item = lookup_widget(mainapp,"search");

	//tool buttons
	saveproj_btn = lookup_widget(mainapp,"saveproj_btn");
	addf_btn = lookup_widget(mainapp,"addf_btn");
	remf_btn = lookup_widget(mainapp,"remf_btn");
}

void up_interface(void)
{
	if(cur_project){
		gtk_widget_set_sensitive(saveproj_item,TRUE);
		gtk_widget_set_sensitive(saveasproj_item,TRUE);

		gtk_widget_show(proj_item);

		gtk_widget_set_sensitive(saveproj_btn,TRUE);
		gtk_widget_set_sensitive(addf_btn,TRUE);
		gtk_widget_set_sensitive(remf_btn,TRUE);
		if(cur_project->cur_file){
			gtk_widget_set_sensitive(savefile_item,TRUE);
			gtk_widget_set_sensitive(saveasfile_item,TRUE);
			gtk_widget_set_sensitive(saveallfiles_item,TRUE);
			gtk_widget_set_sensitive(closefile_item,TRUE);

			gtk_widget_show(edit_item);
			gtk_widget_show(search_item);
		}else{
			gtk_widget_set_sensitive(savefile_item,FALSE);
			gtk_widget_set_sensitive(saveasfile_item,FALSE);
			gtk_widget_set_sensitive(saveallfiles_item,FALSE);
			gtk_widget_set_sensitive(closefile_item,FALSE);

			gtk_widget_hide(edit_item);
			gtk_widget_hide(search_item);
		};
	}else{
		gtk_widget_set_sensitive(saveproj_item,FALSE);
		gtk_widget_set_sensitive(saveasproj_item,FALSE);
		gtk_widget_set_sensitive(savefile_item,FALSE);
		gtk_widget_set_sensitive(saveasfile_item,FALSE);
		gtk_widget_set_sensitive(saveallfiles_item,FALSE);
		gtk_widget_set_sensitive(closefile_item,FALSE);

		gtk_widget_hide(edit_item);
		gtk_widget_hide(search_item);
		gtk_widget_hide(proj_item);
		
		gtk_widget_set_sensitive(saveproj_btn,FALSE);
		gtk_widget_set_sensitive(addf_btn,FALSE);
		gtk_widget_set_sensitive(remf_btn,FALSE);
	};
}

void close_interface(void)
{
	g_free(home);
}











