#ifndef _FILES_H
#define _FILES_H

#include "common.h"

class CFile
{
  protected:
	gchar *name;
	GtkWidget *notebook, *window, *stat;
	GtkEditor *editor;
	GtkWidget *tkxt;
	
  public:
	CFile()
		{
			name = NULL;
			notebook = window = stat = tkxt = NULL;
			editor = NULL;
		};
	CFile(gchar *fname,GtkWidget *nb,HighlightSet *h);
	virtual ~CFile();
	
	void virtual load(void);
	gint virtual save(void);
	gint virtual save_as(gchar *newname);

	void virtual cut(void);
	void virtual copy(void);
	void virtual paste(void);
	void virtual clear(void);

	void virtual insert(gchar *text);
	void virtual insert(gint after_line,gchar *text);

	void virtual comment_selection(void) { };
	void virtual comment_line(void) { };

	void virtual back_statement(void) { };
	void virtual forw_statement(void) { };

	void virtual gotoline(gint linen);
	
	void virtual activate(void);
	void virtual prepare_editor(HighlightSet *hl);
	void virtual highlight(void);
	gboolean modified(void)
		{
			return gtk_text_buffer_modified(GTK_TEXT_BUFFER(editor));
		};
	gchar *get_name(void)
		{
			return name;
		};
	void set_name(char *newname);
};

class CCFile : public CFile
{
  public:
	CCFile(gchar *fname,GtkWidget *nb,HighlightSet *h);
	
	void virtual prepare_editor(HighlightSet *hl);

	void virtual comment_selection(void);
	void virtual comment_line(void);

	void virtual back_statement(void);
	void virtual forw_statement(void);
};

typedef class CCFile CHFile;

#endif







