#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "common.h"
#include "dialogs.h"
#include "callbacks.h"
#include "projects.h"
#include "prefs.h"
#include "util.h"

void startup(void)
{
	gchar *filename = g_strconcat(prefs->lastdir,"/",prefs->lastname,".titano",NULL);
	
	if(!prefs->lastname||!file_exists(filename))
		on_new_proj_activate(NULL,NULL);
	else
		cur_project = new CCppProject(prefs->lastname,prefs->lastdir,
					      mainapp,mvpaned,c_list,o_list,e_list);
	g_free(filename);

	up_interface();
}

int
main (int argc, char *argv[])
{
#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("titano", VERSION, argc, argv);

  mainapp = create_mainapp ();
  
  init_interface();
  up_interface();
  prefs = new Preferences();
  
  gtk_signal_connect(GTK_OBJECT(mainapp),"delete_event",GTK_SIGNAL_FUNC(on_exit_activate),NULL);
  gtk_signal_connect_after(GTK_OBJECT(mainapp),"show",GTK_SIGNAL_FUNC(startup),NULL);
  gtk_widget_show (mainapp);
  
  gtk_main ();
  
  close_interface();
  
  return 0;
}












